commit 3a4c9a2c661385a47107c3351c8053d9e1ede0df
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Nov 1 12:46:26 2024 +0000

    libstdc++: Minor comment improvements in <bits/hashtable.h>
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/hashtable.h: Improve comments.
    
    (cherry picked from commit db798ee38a3f81eff207e889c36c727bb370112c)

diff --git a/libstdc++-v3/include/bits/hashtable.h b/libstdc++-v3/include/bits/hashtable.h
index cd3e1ac297c..f48f3651f18 100644
--- a/libstdc++-v3/include/bits/hashtable.h
+++ b/libstdc++-v3/include/bits/hashtable.h
@@ -1014,7 +1014,8 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
       iterator
       erase(const_iterator);
 
-      // LWG 2059.
+      // _GLIBCXX_RESOLVE_LIB_DEFECTS
+      // 2059. C++0x ambiguity problem with map::erase
       iterator
       erase(iterator __it)
       { return erase(const_iterator(__it)); }
@@ -1036,7 +1037,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
       // DR 1189.
       // reserve, if present, comes from _Rehash_base.
 
-#if __glibcxx_node_extract // >= C++17
+#if __glibcxx_node_extract // >= C++17 && HOSTED
       /// Re-insert an extracted node into a container with unique keys.
       insert_return_type
       _M_reinsert_node(node_type&& __nh)

